Skip to content

Get a specific component by ID

GET
/components/{componentId}
curl --request GET \
--url https://api.pingram.io/components/example \
--header 'Authorization: Bearer <token>'

Authorizations

Parameters

Path Parameters

componentId
required
string

Component ID

Responses

200

Successful response

Media typeapplication/json
object
envId
required
string
componentId
required
string
name
required
string
internal
required
string
internalPage
required
string
html
required
string
createdAt
required
string
modifiedAt
required
string
referencedBy
required
Array<object>
object
notificationId
required
string
channel
required
string
Allowed values: EMAIL INAPP_WEB SMS CALL PUSH WEB_PUSH SLACK
templateId
required
string
channel
required
string
Allowed values: EMAIL
Example
{
"referencedBy": [
{
"channel": "EMAIL"
}
],
"channel": "EMAIL"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}